ApiManagementV1WorkspacesWorkspaceidEndpoints

List all endpoints

GET
/management/v1/workspaces/{workspaceId}/endpoints
AuthorizationBearer <token>

Management token (nhm_...)

In: header

Path Parameters

workspaceIdstring

Query Parameters

environment_id?string

Filter by environment public ID (e.g. env_abc123)

Response Body

curl -X GET "https://loading/management/v1/workspaces/string/endpoints?environment_id=string"
[
  {
    "id": "string",
    "url": "string",
    "secret": "string",
    "description": "string",
    "authUsername": "string",
    "hasAuth": true,
    "isActive": true,
    "type": "string",
    "config": {},
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
]

{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid authorization header"
  }
}

{
  "error": {
    "code": "token_disabled",
    "message": "Management token is disabled"
  }
}

{
  "error": {
    "code": "not_found",
    "message": "Environment not found"
  }
}